> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/rooms/edit.md).

# Edit

To edit an existing room you need to execute a **PATCH** request against the **/rooms/:id** endpoint.

The **id** uniquely identifies the room and you can find it in the [create room](/reference/rest-api/rooms/create.md#response-200-ok) response.

You can update as many fields as you wish - the below example makes the toolbar color blue and also removes chat functionality from the room.

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request PATCH \
  --header "Content-Type: application/json" \
  --url https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523 \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY \
  --data '{"toolbar_color": "#0000ff", "chat_enabled": false}'
```

{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your room id or friendly_url (name) here - this value is just an example
String roomId = "c39d7c40-7ff7-4faa-b06f-698a639a9523";

Map<String, Object> data = Map.of(
   "toolbar_color", "#0000ff", 
   "chat_enabled", false
);
String jsonData = new ObjectMapper().writeValueAsString(data);

HttpRequest request = HttpRequest.newBuilder()
  .method("PATCH", HttpRequest.BodyPublishers.ofString(jsonData))
  .uri(new URI("https://api.digitalsamba.com/api/v1/rooms/" + roomId))
  .header("Authorization", authorizationHeader)
  .header("Content-Type", "application/json")
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

**Response (200 OK)**

```json
{
  "id": "c39d7c40-7ff7-4faa-b06f-698a639a9523",
  "friendly_url": "l5zIyafmlEFMPKA",
  "privacy": "public",
  "toolbar_color": "#0000ff",
  "chat_enabled": false
  ....................
}
```
